why do i have to install synapse 2.0 and 3.0? | Razer Insider
Question

why do i have to install synapse 2.0 and 3.0?

  • 26 January 2024
  • 2 replies
  • 39 views

why don't merge this two apps ?


2 Replies

Userlevel 7
Badge +1

Because some old (end of life) peripherals doesn’t have Synapse 3 support. So if you have new and old peripherals, then you have to install both Synapses.

Chroma sdk exists, OpenRGB can control all my stuff, Why razer cant do it? The blackwidow chroma, the first one, synapse 3 works on it, but my razer mamba whireless chroma does not work, TO ME DOES NOT MAKE ANY SENSE, the mouse was released way after the keyboard.

Reply